Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. GlMovements
  • Actions
    • POST (create) an action
      POST
    • POST (create) a reports action/generate a report
      POST
  • ArItems
    • GET a list of AR items
      GET
    • PUT (update) ar item details
      PUT
    • GET one AR item
      GET
  • AutoPostings
    • POST (create) one or more auto postings
      POST
  • Batches
    • GET one batch
      GET
  • ClientConfigs
    • GET a list of client config values
      GET
    • GET values for one client config key
      GET
  • Codes
    • GET ARM system code values
      GET
  • Customers
    • POST (create) one customer
      POST
    • PUT (update) one customer
      PUT
    • GET a list of customers
      GET
    • GET one customer
      GET
    • DELETE a customer
      DELETE
    • POST (create) a batch of customers
      POST
    • PUT (update) a batch of customers
      PUT
  • DocumentBundles
    • GET a list of document bundles
      GET
    • GET one document bundle
      GET
  • Documents
    • POST (create) one document
    • GET a list of documents
    • GET one document
    • POST (create) a batch of documents
  • Files
    • GET one or more OS files
    • POST (upload) one or more OS files
    • GET one OS file
  • GlItems
    • Get one GL item
    • GET a list of GL items
  • GlMovements
    • Get movement/balance for the latest closed GL year/period
      GET
    • GET a list of GL movements/balances
      GET
  • Insights
    • GET a list of ADB intervals
  • LogItems
    • GET one log item
    • GET a list of log items
  • PaymentReservations
    • POST (create) a new payment reservation
  • Health
    • Check API health
  1. GlMovements

GET a list of GL movements/balances

GET
/clients/{clientno}/glmovements
Get a list of GL periods' movements and incoming/outgoing balances based on criteria given in query parameters. You should input either glyear + glperiod or a combination of glyearfrom/glperiodfrom and glyearto/glperiodto. Filtering glaccountno is optional

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Query Params

Responses

🟢200
application/json
GL movement(s) found
Headers

Body

🟠400BadRequest
🟠403Forbidden
🟠404NotFound
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/clients//glmovements?glyear&glperiod&glyearfrom&glperiodfrom&glyearto&glperiodto&glaccountno&options' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Get GL movements response
{
    "summary": {
        "totalCount": 2
    },
    "glMovements": [
        {
            "clientNo": 2218,
            "glYear": 2025,
            "glPeriod": 2,
            "glYearFrom": 2025,
            "glPeriodFrom": 2,
            "glYearTo": 2025,
            "glPeriodTo": 2,
            "glAccountNo": 1030,
            "clientGlAccountNo": "1030",
            "glAccountName": "Bank",
            "balanceIn": 1230,
            "movement": 100,
            "balanceOut": 1330
        },
        {
            "clientNo": 2218,
            "glYear": 2025,
            "glPeriod": 3,
            "glYearFrom": 2025,
            "glPeriodFrom": 3,
            "glYearTo": 2025,
            "glPeriodTo": 3,
            "glAccountNo": 1030,
            "clientGlAccountNo": "1030",
            "glAccountName": "Bank",
            "balanceIn": 1330,
            "movement": 10,
            "balanceOut": 1340
        }
    ]
}
Modified at 2026-04-14 09:49:15
Previous
Get movement/balance for the latest closed GL year/period
Next
GET a list of ADB intervals
Built with